https://pinot.apache.org/ logo
#general
Title
# general
s

Sandeep R

11/13/2021, 7:31 AM
Hi Getting below error while I was starting broker or an controller
Copy code
[uname@adscjbhcsdc211 apache-pinot-0.8.0-bin]$ bin/pinot-admin.sh StartBroker -zkAddress localhost:2181
Error: A JNI error has occurred, please check your installation and try again
Exception in thread "main" java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version; class=org/apache/pinot/tools/admin/PinotAdministrator, offset=6
        at java.lang.ClassLoader.defineClassImpl(Native Method)
        at java.lang.ClassLoader.defineClassInternal(ClassLoader.java:398)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:359)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:154)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:730)
        at java.net.URLClassLoader.access$400(URLClassLoader.java:96)
        at java.net.URLClassLoader$ClassFinder.run(URLClassLoader.java:1187)
        at java.security.AccessController.doPrivileged(AccessController.java:770)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:605)
        at java.lang.ClassLoader.loadClassHelper(ClassLoader.java:944)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:889)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:872)
        at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:507)
java -version java version "1.8.0_251" Java(TM) SE Runtime Environment (build 8.0.6.10 - pxa6480sr6fp10-20200408_01(SR6 FP10)) IBM J9 VM (build 2.9, JRE 1.8.0 Linux amd64-64-Bit Compressed References 20200402_443261 (JIT enabled, AOT enabled) OpenJ9 - 35ef566 OMR - 4bca4f4 IBM - 55acf4a)
x

Xiang Fu

11/13/2021, 7:49 AM
try out jdk 11
from 0.8 pinot is built and released on jdk11
s

Sandeep R

11/13/2021, 11:31 PM
it worked after upgrading java 11, thank you